Skip to main content
Workload

Get team workload metrics

Returns Intercom-style per-admin team metrics with open, snoozed, waiting, idle, capacity limit, pause, and away state. Results use cursor pagination.

GET
/v2/teams/{id}/metrics
Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringrequired
limitintegerquerydefault:50
Required range: 1 <= x <= 100
cursorstringquery

An opaque cursor for pagination. Use the nextCursor value from a previous response to fetch the next page of results.

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
idleThresholdMinutesnumberquerydefault:30
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-09-03.pulsar, 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-09-03.pulsar

Response

application/json

Success

dataobject[]required
generatedAtstringrequired
nextCursorstring | nullrequired
objectenum<string>required
Available options: team_metrics
teamIdstringrequired